<script lang="ts">
  export let fullWidth = false;
</script>

<section class:full-width={fullWidth}>
  <div class="title">
    <slot name="label" />
  </div>
  <slot />
</section>

<style lang="postcss">
  section {
    margin-top: var(--space-vh-0);
    margin-bottom: var(--space-vh-2);
    margin-inline: var(--space-vw-1);
  }

  .title {
    font-size: x-large;
    font-weight: 500;
    margin-inline: var(--space-vw-1);
    padding-block: 10px;

    /* Hide element tag when no content provided */
    &:empty {
      display: none;
    }
  }

  .full-width {
    margin-inline: 0;
  }
</style>
